libmwaw::PrinterInfo Struct Reference

the AppleŠ printer information : TPrint More...

`#include <MWAWPrinter.hxx>`

## Public Member Functions

| PrinterInfo ()
| constructor More...
| ~PrinterInfo ()
| destructor More...
PrinterRect | page () const
| returns the page rectangle More...
PrinterRect | paper () const
| returns the paper rectangle More...
bool | read (MWAWInputStreamPtr input)
| reads the struture in a file More...

## Protected Attributes

shared_ptr< PrinterInfoData > | m_data
| internal data More...

## Private Member Functions

| PrinterInfo (PrinterInfo const &orig)
PrinterInfo & | operator= (PrinterInfo const &orig)

## Friends

std::ostream & | operator<< (std::ostream &o, PrinterInfo const &r)
| operator<< for a PrinterInfo More...

## Detailed Description

the AppleŠ printer information : TPrint

## Constructor & Destructor Documentation

libmwaw::PrinterInfo::PrinterInfo | ( |  | ) |

constructor

libmwaw::PrinterInfo::~PrinterInfo | ( |  | ) |

destructor

libmwaw::PrinterInfo::PrinterInfo | ( | PrinterInfo const & | orig | ) |

private

## Member Function Documentation

PrinterInfo& libmwaw::PrinterInfo::operator= | ( | PrinterInfo const & | orig | ) |

private

PrinterRect libmwaw::PrinterInfo::page | ( |  | ) | const

returns the page rectangle

Referenced by HMWJParser::readPrintInfo(), HMWKParser::readPrintInfo(), and MSK4Zone::readPRNT().

PrinterRect libmwaw::PrinterInfo::paper | ( |  | ) | const

returns the paper rectangle

Referenced by HMWJParser::readPrintInfo(), HMWKParser::readPrintInfo(), and MSK4Zone::readPRNT().

bool libmwaw::PrinterInfo::read | ( | MWAWInputStreamPtr | input | ) |

reads the struture in a file

Referenced by WPParser::readPrintInfo(), MWParser::readPrintInfo(), ACParser::readPrintInfo(), LWParser::readPrintInfo(), MDWParser::readPrintInfo(), BWParser::readPrintInfo(), NSParser::readPrintInfo(), MORParser::readPrintInfo(), GWParser::readPrintInfo(), MSWParser::readPrintInfo(), MSK3Parser::readPrintInfo(), CWParser::readPrintInfo(), FWParser::readPrintInfo(), WNParser::readPrintInfo(), MWProParser::readPrintInfo(), HMWJParser::readPrintInfo(), MRWParser::readPrintInfo(), HMWKParser::readPrintInfo(), and MSK4Zone::readPRNT().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | PrinterInfo const & | r
| ) |  |

friend

operator<< for a PrinterInfo

## Member Data Documentation

shared_ptr<PrinterInfoData> libmwaw::PrinterInfo::m_data

protected

internal data

Referenced by libmwaw::operator<<(), page(), paper(), and read().

The documentation for this struct was generated from the following files:

- MWAWPrinter.hxx
- MWAWPrinter.cxx